@echo off
       if "%1" == "" goto ERR1
       if "%2" == "" goto ERR1
       %2
       cd\
       if exist mcpro\nul goto CONT1
       md mcpro
:CONT1
       cd mcpro
       if exist ubook\nul goto CONT2
       md ubook
:CONT2
       if exist prbook\nul goto CONT3
       md prbook
:CONT3
       %1
       if ERRORLEVEL 1 goto ERR2
       %2
       COPY %1MCPRO.COM
       copy %1mcpro.exe
       copy %1???dta.m35
       copy %1*.t35 prbook
       copy %1prbook.m35 prbook
       copy %1m35key.00? prbook
       goto ASK
:TELL
       echo Please check the label on the diskette!
:ASK
       echo Insert  **Data Disk**  in drive %1
       pause
       if not exist %1m35key.000 goto TELL
       copy %1m35key.00? prbook
       echo --Installation complete--
       echo Type     mcpro     to play chess!
       goto END
:ERR1
       echo Type "SETUP b: c:" for example to go from floppy b: to hard drive c:
       goto END
:ERR2
       echo SETUP ABORTED
:END
